Skip to main content
GET
/
v1
/
token
/
{chain}
/
{tokenAddress}
/
liquiditySnapshots
Token - Liquidity Snapshots
curl --request GET \
  --url https://api.chainstream.io/v1/token/{chain}/{tokenAddress}/liquiditySnapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "snapshotTime": 1705312800000,
      "maxLiquidityPoolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "maxLiquidityInUsd": "1000000.45",
      "maxLiquidityInNative": "5000.123",
      "totalLiquidityInUsd": "2000000.90",
      "totalLiquidityInNative": "10000.246",
      "poolCount": 5,
      "priceUsd": "1.0001",
      "priceNative": "0.005",
      "calculatedAt": 1705312800000
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks

Available options:
sol,
bsc,
eth
tokenAddress
string
required

An address of a token

Example:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

Required range: 1 <= x <= 100
direction
enum<string>
default:next

Pagination direction (next or prev)

Available options:
next,
prev
time
integer<int64>

Target Unix timestamp (seconds) for snapshot query. Returns the nearest snapshot before or at this time.

Example:

1705312800000

Response

200 - application/json
data
object[]
required

Array of data items

hasNext
boolean
default:false
required

Indicates if there are more results

hasPrev
boolean
default:false
required

Indicates if there are previous results

startCursor
string

Cursor for first item in current page

endCursor
string

Cursor for last item in current page